:: Отображение командной строки (on/off)
@echo off

:: Отображение командной строки (on/off)
:: @echo on

:: кодировка страницы
:: chcp 866
chcp 1251

echo.

:: задание переменной с входным параметром (%1) (%*) (переданные данные извне)
REM set varfile=%1
set varfile=%*

echo %varfile%

echo Копируем...

set dirToCopy="F:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"
REM set dirToCopy="D:\Ilya\00_Личная информация\Addons\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"


REM IF EXIST %dirToCopy% %dirToCopy%="F:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"
IF EXIST "F:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4" set dirToCopy="F:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"
IF EXIST "D:\Ilya\00_Личная информация\Addons\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4" set dirToCopy="D:\Ilya\00_Личная информация\Addons\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"


REM IF EXIST %dirToCopy% (
    REM set dirToCopy="F:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"
REM ) ELSE (
    REM set dirToCopy="D:\Ilya\00_Личная информация\Addons\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4"
REM )


echo f| xcopy %varfile% %dirToCopy% /-Y /I
REM 
cd

REM 0-путь файла bat; 1-путь файла lua
REM set as="%~dp0"
set as="%~dp1"
echo %as%

echo.
echo Переходим в папку программы...

cd /d "%dirToCopy%"

cd

echo.


REM echo "%~f0"
REM echo "%~dp0"
REM echo "%~nx0"
REM echo "%~x0"
REM echo "%~n0"


REM echo "%~f1"
REM echo "%~dp1"
REM echo "%~nx1"
REM echo "%~x1"
REM echo "%~n1"

echo.
echo Компилируем...

luajit.exe -bs "%~nx1" "%~n1".luac

echo.
echo Копируем скомпилированный файл обратно в исходную папку...

echo f| xcopy %dirToCopy%\"%~n1".luac %as% /-Y /I

echo.
echo Удаляем файлы в папке компилятора...

REM del /P %dirToCopy%\"%~n1".lua %dirToCopy%\"%~n1".luac
del  %dirToCopy%\"%~n1".lua %dirToCopy%\"%~n1".luac


echo.
echo Все готово...


REM pause
exit







:: задает чтобы восклицательные знаки считались вместо ковычек
setlocal enableextensions enabledelayedexpansion

:: Разбераем полученную переменную (Вытаскиваем путь к файлу и имя файла)
for %%a in (!varfile!) do (
    set file=%%~fa
    set filepath=%%~dpa
    set filename=%%~nxa
    set filerashirenie=%%~xa
    set filenamebezrashireniya=%%~na
    REM set myNameLong=%~nx0


    REM luajit.exe -bs ScriptIgnore.lua ScriptIgnore.luac
    luajit.exe -bs !filename! !filenamebezrashireniya!.luac
)

REM echo !file!
REM echo !filepath!!filenamebezrashireniya!.luac
REM P:\Kak_napisat_addon\Lua_Sozdanie_Luac_502\LuaCompiler-2.0.4\luajit.exe -bs "!file!" "!filepath!!filenamebezrashireniya!.luac"

endlocal

REM pause
exit